Subject: RE: [Enum] IETF, ENUM and NGN

From: "Stastny Richard" <[email-masked]>
Date: Wed, 30 Jun 2004 06:19:21 -0400

Jim Reid [mailto:jim at rfc1035.com] wrote:
> 
> AFAICT nobody is suggesting Infrastructure and User ENUM would use the
> same tree. The constraints and data models for these things are
> completely different. However some people seem to think that if these
> two flavours of ENUM use the same domain name, this means they both
> have to use the same tree with one model for ownership, administration
> and delegation. That doesn't necessarily follow. What some operator
> does with its private, internal-use-only version of e164.arpa and how
> they populate and manage that is nobody else's concern.

[Richard>] This is correct. An operator may even decide to use e164.arpa.
and this would make sense, if there would be only public e164.arpa and
the operators private trees.

But as we elaborated in ETSI TS 102 055, groups of operators
(confederations) may decide to use a shared tree.

This shared tree could either be "private" to the confederation
(in an extranet) or in the public DNS. Different confederations
may choose to use different shared trees. This may not be a good idea, but
it is happening all over the place (ask Rich). And all these trees
are NOT and cannot be e164.arpa

So if an operator is joining such a confederation he will use for
his "private" tree the same name as used out-side by the confederation
and not e164.arpa.

> 
> What matters is the operators agree on a domain name for
> Infrastructure ENUM. This might as well be e164.arpa since (a) it's
> vendor neutral; (b) already an agreed IETF standard; (c) not
> controlled by any nation. It's hard to see how any other choice of
> domain name could be better (technically or politically). And it
> prevents VoIP/SIP applications from getting schizophrenia from
> figuring out which domain name they should use based on what network
> they're running in today.
[Richard>] 
This is easy, as I already stated and many SER and Asterisk based
SIP server already query more then one tree now. Its one line of code.

Richard

_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum

---

From: Jim Reid <[email-masked]>
Date: Wed, 30 Jun 2004 08:13:40 -0400

>>>>> "Richard" == Stastny Richard <Richard.Stastny at oefeg.at> writes:

    >> Infrastructure ENUM. This might as well be e164.arpa since (a)
    >> it's vendor neutral; (b) already an agreed IETF standard; (c)
    >> not controlled by any nation. It's hard to see how any other
    >> choice of domain name could be better (technically or
    >> politically). And it prevents VoIP/SIP applications from
    >> getting schizophrenia from figuring out which domain name they
    >> should use based on what network they're running in today.

    Richard> This is easy, as I already stated and many SER
    Richard> and Asterisk based SIP server already query more then one
    Richard> tree now. Its one line of code.

That must be a very long line of code if it can query multiple domain
names, prioritise the order they're used, arbitrate between conflicting
answers and do all of the other policy stuff that's needed.